Books, Blogs and Others
================================================================================

This is a list of resources I've found on the internet that seemed somewhat
interesting.
That includes books, blog posts, papers, etc.
Link may not be canonical.
This is not a list of stuff I've read;
most likely, it's things that I want to read at some point
or just wanted to save in case I ever need them.

Books
----------------------------------------

### [97 Things Every Programmer Should Know](https://97-things-every-x-should-know.gitbooks.io/97-things-every-programmer-should-know/content/en/index.html)

> Pearls of wisdom for programmers collected from leading practitioners.

### [Introduction to Applied Linear Algebra](https://web.stanford.edu/~boyd/vmls/)

Introduction to Applied Linear Algebra – Vectors, Matrices, and Least Squares
Stephen Boyd and Lieven Vandenberghe

> This book is used as the textbook for the course EE103 (Stanford) and EE133A (UCLA), where you will find additional related material.

### [Mathematics and Computation](https://www.math.ias.edu/files/Website03-25-19.pdf)

> Here is just one tip of the iceberg we’ll explore in this book: How much time does it take to find the prime factors of a 1,000-digit integer?

### [Reverse Engineering for Beginners](https://beginners.re/)

> There are several popular meanings of the term “reverse engineering”:
> 
> 1. The reverse engineering of software; researching compiled programs
> 2. The scanning of 3D structures and the subsequent digital manipulation required in order to duplicate them
> 3. Recreating DBMS8 structure
> 
> This book is about the first meaning

### [Structure and Interpretation of Computer Programs](https://sarabander.github.io/sicp/)

Not much to say about this, everyone should have read SICP.

### [The Algorithm Design Manual](http://mimoza.marmara.edu.tr/~msakalli/cse706_12/SkienaTheAlgorithmDesignManual.pdf)

> Most professional programmers that I’ve encountered are not well prepared to tackle algorithm design problems. This is a pity, because the techniques of algorithm design form one of the core practical technologies of computer science.

Papers
----------------------------------------

### [How to Read a Paper](https://web.stanford.edu/class/ee384m/Handouts/HowtoReadPaper.pdf)

> Researchers spend a great deal of time reading research papers. However, this
> skill is rarely taught, leading to much wasted effort. This article outlines a
> practical and efficient three-pass method for reading research papers. I also
> describe how to use this method to do a literature survey.

### [Memory Cache and Lisp](https://people.eecs.berkeley.edu/~fateman/papers/cachelisp.pdf)

> Here we concentrate on automatic rearrangement of data, and examine the belief, common in some technical circles, that modern generational copying garbage collectors (GC) will improve data caching by relocating and compressing data, as a matter of normal processing.

### [T-Collide](https://www.cs.ucf.edu/~jmesit/publications/T-Collide%20CGAIDE%202004.pdf)

> This paper presents T-Collide, a fast, low memoryoverhead, low execution-cost, time-based collision detection scheme. It is intended for real-time systems such as games or simulations to optimize collision detection between large numbers of mobile objects. 

### [Exceptional Continuations in JavaScript](http://www.schemeworkshop.org/2007/procPaper4.pdf)

> In this paper we present our adaption of exception-based continuations to JavaScript.

### [Recursive Restartability: Turning the Reboot Sledgehammer into a Scalpel](http://roc.cs.berkeley.edu/papers/recursive_restartability.pdf)

> Even after decades of software engineering research, complex computer systems
> still fail, primarily due to nondeterministic bugs that are typically resolved
> by rebootin...

Blogs
----------------------------------------

### [How to Write a Git Commit Message](https://chris.beams.io/posts/git-commit/) (31 Aug 2014)

### [Capability Myths Demolished](http://www.erights.org/elib/capability/duals/myths.html)

Others
----------------------------------------

### [How These Things Work](https://reasonablypolymorphic.com/book/preface)
